Package com.io7m.cardant.error_codes

# Class CAStandardErrorCodes

java.lang.Object
com.io7m.cardant.error_codes.CAStandardErrorCodes

public final class CAStandardErrorCodes extends Object

The standard error codes.

Note: This file is generated from codes.txt and should not be hand-edited.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAErrorCode`
  `errorApiMisuse()`
  An API was used incorrectly.
  `static CAErrorCode`
  `errorAuthentication()`
  Authentication failed.
  `static CAErrorCode`
  `errorCyclic()`
  A cycle was introduced into a structure that is not supposed to be cyclic.
  `static CAErrorCode`
  `errorDuplicate()`
  An object already exists.
  `static CAErrorCode`
  `errorHttpMethod()`
  The wrong HTTP method was used.
  `static CAErrorCode`
  `errorIo()`
  An internal I/O error.
  `static CAErrorCode`
  `errorNonexistent()`
  A requested object was not found.
  `static CAErrorCode`
  `errorNoSupportedProtocols()`
  The client and server have no supported protocols in common.
  `static CAErrorCode`
  `errorNotLoggedIn()`
  A user is trying to perform an operation without having logged in.
  `static CAErrorCode`
  `errorOperationNotPermitted()`
  A generic "operation not permitted" error.
  `static CAErrorCode`
  `errorParse()`
  A parse error was encountered.
  `static CAErrorCode`
  `errorProtocol()`
  A client sent a broken message of some kind.
  `static CAErrorCode`
  `errorRemoveTooManyItems()`
  An attempt was made to remove more items than actually exist.
  `static CAErrorCode`
  `errorResourceCloseFailed()`
  One or more resources failed to close.
  `static CAErrorCode`
  `errorSecurityPolicyDenied()`
  An operation was denied by the security policy.
  `static CAErrorCode`
  `errorSql()`
  An internal SQL database error.
  `static CAErrorCode`
  `errorSqlForeignKey()`
  A violation of an SQL foreign key integrity constraint.
  `static CAErrorCode`
  `errorSqlRevision()`
  An internal SQL database error relating to database revisioning.
  `static CAErrorCode`
  `errorSqlUnique()`
  A violation of an SQL uniqueness constraint.
  `static CAErrorCode`
  `errorSqlUnsupportedQueryClass()`
  An attempt was made to use a query class that is unsupported.
  `static CAErrorCode`
  `errorTrasco()`
  An error raised by the Trasco database versioning library.
  `static CAErrorCode`
  `errorTypeCheckFailed()`
  Type checking failed.
  `static CAErrorCode`
  `errorTypeCheckFieldInvalid()`
  A field value did not match the provided pattern.
  `static CAErrorCode`
  `errorTypeCheckFieldPatternFailure()`
  A field pattern was invalid.
  `static CAErrorCode`
  `errorTypeCheckFieldRequiredMissing()`
  A field was required but is missing.
  `static CAErrorCode`
  `errorTypeFieldTypeNonexistent()`
  A field in the type declaration refers to a nonexistent type.
  `static CAErrorCode`
  `errorTypeReferenced()`
  The type is referenced by one or more existing items.
  `static CAErrorCode`
  `errorTypeScalarReferenced()`
  The scalar type is referenced by one or more existing types/fields.
  `static CAErrorCode`
  `errorUserNonexistent()`
  An attempt was made to reference a user that does not exist.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Method Details

  - ### errorApiMisuse

    public static CAErrorCode errorApiMisuse()
    An API was used incorrectly.
    Returns:
      The error code

  - ### errorAuthentication

    public static CAErrorCode errorAuthentication()
    Authentication failed.
    Returns:
      The error code

  - ### errorCyclic

    public static CAErrorCode errorCyclic()
    A cycle was introduced into a structure that is not supposed to be cyclic.
    Returns:
      The error code

  - ### errorDuplicate

    public static CAErrorCode errorDuplicate()
    An object already exists.
    Returns:
      The error code

  - ### errorHttpMethod

    public static CAErrorCode errorHttpMethod()
    The wrong HTTP method was used.
    Returns:
      The error code

  - ### errorIo

    public static CAErrorCode errorIo()
    An internal I/O error.
    Returns:
      The error code

  - ### errorNonexistent

    public static CAErrorCode errorNonexistent()
    A requested object was not found.
    Returns:
      The error code

  - ### errorNotLoggedIn

    public static CAErrorCode errorNotLoggedIn()
    A user is trying to perform an operation without having logged in.
    Returns:
      The error code

  - ### errorNoSupportedProtocols

    public static CAErrorCode errorNoSupportedProtocols()
    The client and server have no supported protocols in common.
    Returns:
      The error code

  - ### errorOperationNotPermitted

    public static CAErrorCode errorOperationNotPermitted()
    A generic "operation not permitted" error.
    Returns:
      The error code

  - ### errorProtocol

    public static CAErrorCode errorProtocol()
    A client sent a broken message of some kind.
    Returns:
      The error code

  - ### errorRemoveTooManyItems

    public static CAErrorCode errorRemoveTooManyItems()
    An attempt was made to remove more items than actually exist.
    Returns:
      The error code

  - ### errorResourceCloseFailed

    public static CAErrorCode errorResourceCloseFailed()
    One or more resources failed to close.
    Returns:
      The error code

  - ### errorSecurityPolicyDenied

    public static CAErrorCode errorSecurityPolicyDenied()
    An operation was denied by the security policy.
    Returns:
      The error code

  - ### errorSqlForeignKey

    public static CAErrorCode errorSqlForeignKey()
    A violation of an SQL foreign key integrity constraint.
    Returns:
      The error code

  - ### errorSqlRevision

    public static CAErrorCode errorSqlRevision()
    An internal SQL database error relating to database revisioning.
    Returns:
      The error code

  - ### errorSqlUnique

    public static CAErrorCode errorSqlUnique()
    A violation of an SQL uniqueness constraint.
    Returns:
      The error code

  - ### errorSqlUnsupportedQueryClass

    public static CAErrorCode errorSqlUnsupportedQueryClass()
    An attempt was made to use a query class that is unsupported.
    Returns:
      The error code

  - ### errorSql

    public static CAErrorCode errorSql()
    An internal SQL database error.
    Returns:
      The error code

  - ### errorTrasco

    public static CAErrorCode errorTrasco()
    An error raised by the Trasco database versioning library.
    Returns:
      The error code

  - ### errorUserNonexistent

    public static CAErrorCode errorUserNonexistent()
    An attempt was made to reference a user that does not exist.
    Returns:
      The error code

  - ### errorTypeScalarReferenced

    public static CAErrorCode errorTypeScalarReferenced()
    The scalar type is referenced by one or more existing types/fields.
    Returns:
      The error code

  - ### errorTypeFieldTypeNonexistent

    public static CAErrorCode errorTypeFieldTypeNonexistent()
    A field in the type declaration refers to a nonexistent type.
    Returns:
      The error code

  - ### errorTypeCheckFieldRequiredMissing

    public static CAErrorCode errorTypeCheckFieldRequiredMissing()
    A field was required but is missing.
    Returns:
      The error code

  - ### errorTypeCheckFieldPatternFailure

    public static CAErrorCode errorTypeCheckFieldPatternFailure()
    A field pattern was invalid.
    Returns:
      The error code

  - ### errorTypeCheckFieldInvalid

    public static CAErrorCode errorTypeCheckFieldInvalid()
    A field value did not match the provided pattern.
    Returns:
      The error code

  - ### errorTypeCheckFailed

    public static CAErrorCode errorTypeCheckFailed()
    Type checking failed.
    Returns:
      The error code

  - ### errorTypeReferenced

    public static CAErrorCode errorTypeReferenced()
    The type is referenced by one or more existing items.
    Returns:
      The error code

  - ### errorParse

    public static CAErrorCode errorParse()
    A parse error was encountered.
    Returns:
      The error code